## gate.util.persistence
Class CorpusPersistence

    java.lang.Object
      |
      +--gate.util.persistence.ResourcePersistence
            |
            +--gate.util.persistence.LRPersistence
                  |
                  +--gate.util.persistence.CorpusPersistence

All Implemented Interfaces:
  Persistence, Serializable

public class CorpusPersistence
extends LRPersistence

See Also:
  Serialized Form

Field Summary
`protected ArrayList` `docList`
`(package private) static long` `serialVersionUID`

Fields inherited from class gate.util.persistence.LRPersistence
`dsData, persistenceID`

Fields inherited from class gate.util.persistence.ResourcePersistence
`features, initParams, resourceName, resourceType`

Constructor Summary
`CorpusPersistence()`

Method Summary
`Object` `createObject()` Creates a new object from the data contained.
`void` `extractDataFromSource(Object source)` Populates this Persistence with the data that needs to be stored from the original source object.

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### docList

    protected ArrayList docList

### serialVersionUID

    static final long serialVersionUID

Constructor Detail

### CorpusPersistence

    public CorpusPersistence()

Method Detail

### extractDataFromSource

    public void extractDataFromSource(Object source)
                               throws PersistenceException

  Populates this Persistence with the data that needs to be stored from the original source object.
  Overrides:
    `extractDataFromSource` in class `LRPersistence`

### createObject

    public Object createObject()
                        throws PersistenceException,
                               ResourceInstantiationException

  Creates a new object from the data contained. This new object is supposed to be a copy for the original object used as source for data extraction.
  Overrides:
    `createObject` in class `LRPersistence`